#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <K8055DLL.h>

#include "modify.h"
#include "support.h"

static void cb_out_ana1_adj (GtkAdjustment *adj, GtkWidget *vscale)
{
	OutputAnalogChannel(1, (long)adj->value);
}

static void cb_out_ana2_adj (GtkAdjustment *adj, GtkWidget *vscale)
{
	OutputAnalogChannel(2, (long)adj->value);
}

static void disable_controls(GtkWidget* toplevel)
{
	GtkObject* win;

	win = GTK_OBJECT(toplevel);

#define DISABLE(ctl) gtk_widget_set_sensitive(gtk_object_get_data(win, ctl ), 0)

	DISABLE("bt_SetAllDigital");
	DISABLE("bt_ClearAllDigital");
	DISABLE("bt_SetAllAnalog");
	DISABLE("bt_ClearAllAnalog");
	DISABLE("bt_OutputTest");
	DISABLE("out_ana1");
	DISABLE("out_ana2");
	DISABLE("bt_out_dig1");
	DISABLE("bt_out_dig2");
	DISABLE("bt_out_dig3");
	DISABLE("bt_out_dig4");
	DISABLE("bt_out_dig5");
	DISABLE("bt_out_dig6");
	DISABLE("bt_out_dig7");
	DISABLE("bt_out_dig8");
	DISABLE("bt_ct1_0");
	DISABLE("bt_ct1_2");
	DISABLE("bt_ct1_10");
	DISABLE("bt_ct1_1000");
	DISABLE("bt_Reset1");
	DISABLE("bt_ct2_0");
	DISABLE("bt_ct2_2");
	DISABLE("bt_ct2_10");
	DISABLE("bt_ct2_1000");
	DISABLE("bt_Reset2");

#undef DISABLE

}

void modify_window(GtkWidget* win)
{
	GtkObject* adj;
	GtkRange* out_ana;
	GtkProgress* in_ana;

	adj = gtk_adjustment_new(0.0, 0.0, 255.0, 1.0, 10.0, 0.0);

	out_ana = GTK_RANGE(lookup_widget(win, "out_ana1"));
	gtk_range_set_adjustment(out_ana, GTK_ADJUSTMENT(adj));

	gtk_signal_connect(GTK_OBJECT(adj), "value_changed", GTK_SIGNAL_FUNC(cb_out_ana1_adj), out_ana);

	adj = gtk_adjustment_new(0.0, 0.0, 255.0, 1.0, 10.0, 0.0);

	out_ana = GTK_RANGE(lookup_widget(win, "out_ana2"));
	gtk_range_set_adjustment(out_ana, GTK_ADJUSTMENT(adj));

	gtk_signal_connect(GTK_OBJECT(adj), "value_changed", GTK_SIGNAL_FUNC(cb_out_ana2_adj), out_ana);

	adj = gtk_adjustment_new(0.0, 0.0, 255.0, 1.0, 10.0, 0.0);

	in_ana = GTK_PROGRESS(lookup_widget(win, "in_ana1"));
	gtk_progress_set_adjustment(in_ana, GTK_ADJUSTMENT(adj));

	adj = gtk_adjustment_new(0.0, 0.0, 255.0, 1.0, 10.0, 0.0);

	in_ana = GTK_PROGRESS(lookup_widget(win, "in_ana2"));
	gtk_progress_set_adjustment(in_ana, GTK_ADJUSTMENT(adj));

	disable_controls(win);
}

